Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.xml.em
Class OpenEntity

    java.lang.Object
      convert.xml.em.OpenEntity

    public class OpenEntity

extends java.lang.Object

Information about an open external entity. This is used to by `EntityManager` to return information about an external entity that is has opened.

See Also:
  `EntityManager`

Constructor Summary
`OpenEntity(java.io.Reader reader, java.lang.String location, java.lang.String baseUri, java.lang.String encoding)` Creates and initializes an `OpenEntity`.

Method Summary
`java.lang.String` | `getBaseUri()` Returns the URI to use as the base URI for resolving relative URIs contained in the entity.
`java.lang.String` | `getEncoding()` Returns the encoding used by the entity or null if the encoding that was used is unknown.
`java.lang.String` | `getLocation()` Returns a string representation of the location of the entity suitable for use in error messages.
`java.io.Reader` | `getReader()` Returns an Reader containing the entity's bytes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenEntity

    public OpenEntity(java.io.Reader reader,
                      java.lang.String location,
                      java.lang.String baseUri,
                      java.lang.String encoding)

  Creates and initializes an `OpenEntity`. which uses

Method Detail

### getReader

    public final java.io.Reader getReader()

  Returns an Reader containing the entity's bytes. If this is called more than once on the same OpenEntity, it will return the same Reader.

### getBaseUri

    public final java.lang.String getBaseUri()

  Returns the URI to use as the base URI for resolving relative URIs contained in the entity.

### getLocation

    public final java.lang.String getLocation()

  Returns a string representation of the location of the entity suitable for use in error messages.

### getEncoding

    public final java.lang.String getEncoding()

  Returns the encoding used by the entity or null if the encoding that was used is unknown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD